This page was not yet optimized for use on mobile devices.
Apple corecrypto Module v12.0 [Apple silicon, Kernel, Software, SL1]
Certificate details
| Certificate ID | #4854 |
|---|---|
| Status | active |
| Validation dates | 28.10.2024 |
| Sunset date | 27-10-2026 |
| Standard | FIPS 140-3 |
| Security level | 1 |
| Type | Software |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | Interim validation. When operated in approved mode |
| Exceptions |
|
| Description | The Apple Cryptographic Module for Apple silicon kernel space environment. |
| Tested configurations |
|
| Vendor | Apple Inc. http://www.apple.com |
| Lab | atsec information security corporation |
| Algorithms |
|
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES, AES-128, AES-256, AES-, CAST5, CAST, RC4, RC2, DES, Triple-DES, TDEA, Blowfish, HMAC, HMAC-SHA-256, HMAC-SHA-384, HMAC-SHA-512, HMAC-SHA-224Asymmetric Algorithms
ECDSA, EdDSA, ECIESHash functions
SHA1, SHA-1, SHA-224, SHA-256, SHA-384, SHA-512, MD4, MD5, RIPEMDSchemes
MAC, Key AgreementProtocols
IKEv2, IPsecRandomness
DRBGElliptic Curves
P-224, P-256, P-384, P-521, Curve P-192, curve P-192, P-192, Curve25519, Ed25519Block cipher modes
ECB, CBC, CTR, CFB, OFB, GCM, CCM, XTSTrusted Execution Environments
PSP, SESecurity level
Level 1, level 1Standards
FIPS 140-3, FIPS PUB 140-3, FIPS 197, FIPS 186-4, FIPS 180-4, FIPS 198, FIPS186-4, FIPS140-3, FIPS180-4, FIPS197, FIPS198-1, NIST SP 800-140B, SP 800-38A, SP 800-38C, SP 800-38D, SP 800-38E, SP 800-38F, SP 800-67, SP 800-140x, SP 800-140, SP 800-140A, SP 800-140B, SP 800-140C, SP 800-140D, SP 800-140E, SP 800-140F, PKCS#1, RFC6637, RFC 6637, RFC 4106, RFC 7296, RFC3394, RFC5649, ISO/IEC 24759, ISO/IEC 19790:2012Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
No references are available for this certificate.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 4854,
"dgst": "c0438e3c5c6df484",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"HMAC-SHA2-512A2869",
"HMAC-SHA2-256A2870",
"AES-XTSA2865",
"HMAC-SHA2-384A2869",
"AES-GCMA2868",
"AES-CFB8A2866",
"ECDSA SigGen (FIPS186-4)A2869",
"ECDSA KeyGen (FIPS186-4)A2869",
"#A2796",
"SHA-1A2869",
"#A2797",
"#A2867",
"AES-KWA2866",
"#A2868",
"SHA2-512A2869",
"SHA2-256A2870",
"SHA2-512/256A2869",
"AES-CCMA2868",
"ECDSA KeyVer (FIPS186-4)A2869",
"HMAC-SHA-1A2869",
"RSA SigGen (FIPS186-4)A2869",
"AES-CTRA2868",
"#A2792",
"#A2798",
"SHA2-384A2869",
"HMAC-SHA2-512/256A2869",
"#A2794",
"RSA SigVer (FIPS186-4)A2869",
"AES-CFB128A2866",
"#A2866",
"#A2865",
"Counter DRBGA2868",
"#A2793",
"#A2870",
"AES-CBCA2866",
"SHA2-224A2869",
"#C1223",
"#A27494",
"AES-OFBA2866",
"ECDSA SigVer (FIPS186-4)A2869",
"#A2869",
"AES-ECBA2868",
"HMAC-SHA2-224A2869",
"#A2795"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"12.0"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 26,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECDSA": {
"ECDSA": 47
},
"ECIES": {
"ECIES": 3
},
"EdDSA": {
"EdDSA": 2
}
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 6
},
"CCM": {
"CCM": 3
},
"CFB": {
"CFB": 1
},
"CTR": {
"CTR": 3
},
"ECB": {
"ECB": 7
},
"GCM": {
"GCM": 5
},
"OFB": {
"OFB": 5
},
"XTS": {
"XTS": 3
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {},
"crypto_protocol": {
"IKE": {
"IKEv2": 2
},
"IPsec": {
"IPsec": 1
}
},
"crypto_scheme": {
"KA": {
"Key Agreement": 4
},
"MAC": {
"MAC": 19
}
},
"device_model": {},
"ecc_curve": {
"Curve": {
"Curve25519": 2
},
"Edwards": {
"Ed25519": 11
},
"NIST": {
"Curve P-192": 4,
"P-192": 7,
"P-224": 12,
"P-256": 8,
"P-384": 8,
"P-521": 8,
"curve P-192": 3
}
},
"eval_facility": {
"atsec": {
"atsec": 2
}
},
"fips_cert_id": {},
"fips_certlike": {
"Certlike": {
"# A2797": 1,
"# C1223": 1,
"AES-128": 3,
"AES-256": 4,
"HMAC- SHA-224": 1,
"HMAC-256": 2,
"HMAC-SHA- 256": 2,
"HMAC-SHA- 512/256": 2,
"HMAC-SHA-1": 6,
"HMAC-SHA-224": 2,
"HMAC-SHA-256": 10,
"HMAC-SHA-384": 4,
"HMAC-SHA-512": 6,
"HMAC-SHA-512/256": 2,
"HMAC-SHA256": 6,
"PKCS#1": 16,
"SHA- 224": 2,
"SHA- 256": 2,
"SHA- 512": 1,
"SHA-1": 8,
"SHA-224": 4,
"SHA-256": 10,
"SHA-384": 5,
"SHA-512": 7,
"SHA1": 1,
"SHA2- 224": 1,
"SHA2- 384": 1,
"SHA2-224": 1,
"SHA2-256": 3,
"SHA2-384": 1,
"SHA2-512": 2
}
},
"fips_security_level": {
"Level": {
"Level 1": 1,
"level 1": 2
}
},
"hash_function": {
"MD": {
"MD4": {
"MD4": 2
},
"MD5": {
"MD5": 2
}
},
"RIPEMD": {
"RIPEMD": 2
},
"SHA": {
"SHA1": {
"SHA-1": 8,
"SHA1": 1
},
"SHA2": {
"SHA-224": 4,
"SHA-256": 11,
"SHA-384": 5,
"SHA-512": 6
}
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 24
}
},
"side_channel_analysis": {},
"standard_id": {
"FIPS": {
"FIPS 140-3": 48,
"FIPS 180-4": 10,
"FIPS 186-4": 10,
"FIPS 197": 15,
"FIPS 198": 10,
"FIPS PUB 140-3": 2,
"FIPS140-3": 1,
"FIPS180-4": 1,
"FIPS186-4": 3,
"FIPS197": 1,
"FIPS198-1": 1
},
"ISO": {
"ISO/IEC 19790:2012": 1,
"ISO/IEC 24759": 2
},
"NIST": {
"NIST SP 800-140B": 2,
"SP 800-140": 1,
"SP 800-140A": 1,
"SP 800-140B": 1,
"SP 800-140C": 1,
"SP 800-140D": 1,
"SP 800-140E": 1,
"SP 800-140F": 1,
"SP 800-140x": 1,
"SP 800-38A": 14,
"SP 800-38C": 3,
"SP 800-38D": 3,
"SP 800-38E": 1,
"SP 800-38F": 2,
"SP 800-67": 1
},
"PKCS": {
"PKCS#1": 8
},
"RFC": {
"RFC 4106": 2,
"RFC 6637": 1,
"RFC 7296": 1,
"RFC3394": 1,
"RFC5649": 1,
"RFC6637": 1
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 33,
"AES-": 10,
"AES-128": 3,
"AES-256": 4
},
"CAST": {
"CAST": 19,
"CAST5": 3
},
"RC": {
"RC2": 2,
"RC4": 2
}
},
"DES": {
"3DES": {
"TDEA": 1,
"Triple-DES": 3
},
"DES": {
"DES": 2
}
},
"constructions": {
"MAC": {
"HMAC": 18,
"HMAC-SHA-224": 1,
"HMAC-SHA-256": 5,
"HMAC-SHA-384": 2,
"HMAC-SHA-512": 3
}
},
"miscellaneous": {
"Blowfish": {
"Blowfish": 2
}
}
},
"tee_name": {
"AMD": {
"PSP": 2
},
"IBM": {
"SE": 3
}
},
"tls_cipher_suite": {},
"vendor": {},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"HMAC-SHA2-512A2869",
"HMAC-SHA2-256A2870",
"AES-XTSA2865",
"HMAC-SHA2-384A2869",
"AES-GCMA2868",
"AES-CFB8A2866",
"ECDSA SigGen (FIPS186-4)A2869",
"ECDSA KeyGen (FIPS186-4)A2869",
"SHA-1A2869",
"AES-KWA2866",
"SHA2-512A2869",
"SHA2-256A2870",
"SHA2-512/256A2869",
"AES-CCMA2868",
"ECDSA KeyVer (FIPS186-4)A2869",
"HMAC-SHA-1A2869",
"RSA SigGen (FIPS186-4)A2869",
"AES-CTRA2868",
"SHA2-384A2869",
"HMAC-SHA2-512/256A2869",
"RSA SigVer (FIPS186-4)A2869",
"AES-CFB128A2866",
"Counter DRBGA2868",
"AES-CBCA2866",
"SHA2-224A2869",
"AES-OFBA2866",
"ECDSA SigVer (FIPS186-4)A2869",
"AES-ECBA2868",
"HMAC-SHA2-224A2869"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#A2794",
"#A2868",
"#A2870",
"#C1223",
"#A27494",
"#A2866",
"#A2869",
"#A2865",
"#A2792",
"#A2798",
"#A2796",
"#A2793",
"#A2797",
"#A2867",
"#A2795"
]
},
"policy_metadata": {
"/Author": "Marylene Palard",
"/CreationDate": "D:20241001182507Z00\u002700\u0027",
"/Creator": "Word",
"/ModDate": "D:20241001182507Z00\u002700\u0027",
"/Producer": "macOS Version 14.6 (Build 23G80) Quartz PDFContext",
"/Title": "Apple_Inc_Security_Policy_CC12_for_ARM_Kernel_Space",
"pdf_file_size_bytes": 584264,
"pdf_hyperlinks": {
"_type": "Set",
"elements": []
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 35
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "73adaad3d93c3622ce21790443cb260f3a28372bbc796e2d6b0ee11e1755a2ad",
"source_hash": "1bf873b3bcc3ef1d1ad32a7c5c4e90b1377d3575fbd0d68b15b09598dfcdd623",
"txt_hash": "919a9293c6cf6efd521ed8416622a140fe0745de5e2fc151282daf1c227b282a"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "Interim validation. When operated in approved mode",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/October 2024_041124_0733 (1).pdf",
"date_sunset": "2026-10-27",
"description": "The Apple Cryptographic Module for Apple silicon kernel space environment.",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": [
"Physical security: N/A",
"Non-invasive security: N/A",
"Mitigation of other attacks: N/A"
],
"fw_versions": null,
"historical_reason": null,
"hw_versions": null,
"level": 1,
"mentioned_certs": {},
"module_name": "Apple corecrypto Module v12.0 [Apple silicon, Kernel, Software, SL1]",
"module_type": "Software",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-3",
"status": "active",
"sw_versions": "12.0",
"tested_conf": [
"iOS 15 running on iPhone 11 Pro with an Apple A Series A13 Bionic with PAA",
"iOS 15 running on iPhone 11 Pro with an Apple A Series A13 Bionic without PAA",
"iOS 15 running on iPhone 12 with an Apple A Series A14 Bionic with PAA",
"iOS 15 running on iPhone 12 with an Apple A Series A14 Bionic without PAA",
"iOS 15 running on iPhone 13 Pro Max with an Apple A Series A15 Bionic with PAA",
"iOS 15 running on iPhone 13 Pro Max with an Apple A Series A15 Bionic without PAA",
"iOS 15 running on iPhone 6S with an Apple A Series A9 with PAA",
"iOS 15 running on iPhone 6S with an Apple A Series A9 without PAA",
"iOS 15 running on iPhone 7 Plus with an Apple A Series A10 Fusion with PAA",
"iOS 15 running on iPhone 7 Plus with an Apple A Series A10 Fusion without PAA",
"iOS 15 running on iPhone X with an Apple A Series A11 Bionic with PAA",
"iOS 15 running on iPhone X with an Apple A Series A11 Bionic without PAA",
"iOS 15 running on iPhone XS Max with an Apple A Series A12 Bionic with PAA",
"iOS 15 running on iPhone XS Max with an Apple A Series A12 Bionic without PAA",
"iPadOS 15 running on iPad (5th generation) with an Apple A Series A9 with PAA",
"iPadOS 15 running on iPad (5th generation) with an Apple A Series A9 without PAA",
"iPadOS 15 running on iPad (7th generation) with an Apple A Series A10 Fusion with PAA",
"iPadOS 15 running on iPad (7th generation) with an Apple A Series A10 Fusion without PAA",
"iPadOS 15 running on iPad (9th generation) with an Apple A Series A13 Bionic with PAA",
"iPadOS 15 running on iPad (9th generation) with an Apple A Series A13 Bionic without PAA",
"iPadOS 15 running on iPad Air (4th generation) with an Apple A Series A14 Bionic with PAA",
"iPadOS 15 running on iPad Air (4th generation) with an Apple A Series A14 Bionic without PAA",
"iPadOS 15 running on iPad mini (5th generation) with an Apple A Series A12 Bionic with PAA",
"iPadOS 15 running on iPad mini (5th generation) with an Apple A Series A12 Bionic without PAA",
"iPadOS 15 running on iPad mini (6th generation) with an Apple A Series A15 Bionic with PAA",
"iPadOS 15 running on iPad mini (6th generation) with an Apple A Series A15 Bionic without PAA",
"iPadOS 15 running on iPad Pro 10.5 inch with an Apple A Series A10X Fusion with PAA",
"iPadOS 15 running on iPad Pro 10.5 inch with an Apple A Series A10X Fusion without PAA",
"iPadOS 15 running on iPad Pro 11-inch (1st generation) with an Apple A Series A12X Bionic with PAA",
"iPadOS 15 running on iPad Pro 11-inch (1st generation) with an Apple A Series A12X Bionic without PAA",
"iPadOS 15 running on iPad Pro 11-inch (2nd generation) with an Apple A Series A12Z Bionic with PAA",
"iPadOS 15 running on iPad Pro 11-inch (2nd generation) with an Apple A Series A12Z Bionic without PAA",
"iPadOS 15 running on iPad Pro 11-inch (3rd generation) with an Apple M Series M1 with PAA",
"iPadOS 15 running on iPad Pro 11-inch (3rd generation) with an Apple M Series M1 without PAA",
"iPadOS 15 running on iPad Pro 9.7-inch with an Apple A Series A9X with PAA",
"iPadOS 15 running on iPad Pro 9.7-inch with an Apple A Series A9X without PAA",
"macOS Monterey 12 running on MacBook Pro (13-inch, M1, 2020) with an Apple M Series M1 with PAA",
"macOS Monterey 12 running on MacBook Pro (13-inch, M1, 2020) with an Apple M Series M1 without PAA",
"macOS Monterey 12 running on MacBook Pro 14-inch with an Apple M Series M1 Pro with PAA",
"macOS Monterey 12 running on MacBook Pro 14-inch with an Apple M Series M1 Pro without PAA",
"macOS Monterey 12 running on MacBook Pro 16-inch with an Apple M Series M1 Max with PAA",
"macOS Monterey 12 running on MacBook Pro 16-inch with an Apple M Series M1 Max without PAA",
"T2OS 12 running on Apple Security Chip T2 with an Apple T Series T2 with PAA",
"T2OS 12 running on Apple Security Chip T2 with an Apple T Series T2 without PAA",
"tvOS 15 running on Apple TV 4K (2nd generation) with an Apple A Series A12 Bionic with PAA",
"tvOS 15 running on Apple TV 4K (2nd generation) with an Apple A Series A12 Bionic without PAA",
"tvOS 15 running on Apple TV 4K with an Apple A Series A10X Fusion with PAA",
"tvOS 15 running on Apple TV 4K with an Apple A Series A10X Fusion without PAA",
"watchOS 8 running on Apple Watch Series S3 with an Apple S Series S3 with PAA",
"watchOS 8 running on Apple Watch Series S3 with an Apple S Series S3 without PAA",
"watchOS 8 running on Apple Watch Series S4 with an Apple S Series S4 with PAA",
"watchOS 8 running on Apple Watch Series S4 with an Apple S Series S4 without PAA",
"watchOS 8 running on Apple Watch Series S5 with an Apple S Series S5 with PAA",
"watchOS 8 running on Apple Watch Series S5 with an Apple S Series S5 without PAA",
"watchOS 8 running on Apple Watch Series S6 with an Apple S Series S6 with PAA",
"watchOS 8 running on Apple Watch Series S6 with an Apple S Series S6 without PAA.\n watchOS 8 running on Apple Watch Series S7 with an Apple S Series S7 with PAA",
"watchOS 8 running on Apple Watch Series S7 with an Apple S Series S7 without PAA."
],
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2024-10-28",
"lab": "atsec information security corporation",
"validation_type": "Initial"
}
],
"vendor": "Apple Inc.",
"vendor_url": "http://www.apple.com"
}
}